# Contacts

## GetContactByEmailV1

> Get a contact by email from public api

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"servers":[{"url":"https://pub-api.conversion.ai/api"}],"paths":{"/v1/contacts/{email}":{"get":{"description":"Get a contact by email from public api","parameters":[{"schema":{"type":"string"},"description":"the email","in":"path","name":"email","required":true}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.PubRequestResponseDoc-publictypes_Contact"}}}}},"summary":"GetContactByEmailV1","tags":["contacts"]}}},"components":{"schemas":{"common.PubRequestResponseDoc-publictypes_Contact":{"properties":{"data":{"allOf":[{"$ref":"#/components/schemas/publictypes.Contact"}],"description":"If success data is populated otherwise it's empty"},"httpStatus":{"type":"integer"},"message":{"type":"string"}},"type":"object"},"publictypes.Contact":{"properties":{"companyId":{"type":"string"},"createdAt":{"type":"string"},"email":{"type":"string"},"id":{"type":"string"},"subscriptionStatus":{"type":"string"},"syncToCrm":{"type":"boolean"},"variables":{"additionalProperties":{},"type":"object"}},"type":"object"}}}}
```

## DeleteContactByEmailV1

> Delete a contact by email from public api

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"servers":[{"url":"https://pub-api.conversion.ai/api"}],"paths":{"/v1/contacts/{email}":{"delete":{"description":"Delete a contact by email from public api","parameters":[{"schema":{"type":"string"},"description":"the email","in":"path","name":"email","required":true},{"schema":{"type":"boolean"},"description":"whether to delete the recipient if gdpr is true","in":"query","name":"gdpr"}],"responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.PubRequestResponseDoc-bool"}}}}},"summary":"DeleteContactByEmailV1","tags":["contacts"]}}},"components":{"schemas":{"common.PubRequestResponseDoc-bool":{"properties":{"data":{"description":"If success data is populated otherwise it's empty","type":"boolean"},"httpStatus":{"type":"integer"},"message":{"type":"string"}},"type":"object"}}}}
```

## BatchUpsertContactsV1

> Batch upsert contacts from public api

```json
{"openapi":"3.1.1","info":{"title":"Public API","version":"1.0"},"servers":[{"url":"https://pub-api.conversion.ai/api"}],"paths":{"/v1/contacts/batch":{"post":{"description":"Batch upsert contacts from public api","responses":{"200":{"description":"success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common.PubRequestResponseDoc-bool"}}}}},"summary":"BatchUpsertContactsV1","tags":["contacts"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publictypes.BatchUpsertContactsV1Request"}}},"description":"the request","required":true}}}},"components":{"schemas":{"common.PubRequestResponseDoc-bool":{"properties":{"data":{"description":"If success data is populated otherwise it's empty","type":"boolean"},"httpStatus":{"type":"integer"},"message":{"type":"string"}},"type":"object"},"publictypes.BatchUpsertContactsV1Request":{"properties":{"batch":{"items":{"$ref":"#/components/schemas/publictypes.Contact"},"type":"array"}},"type":"object"},"publictypes.Contact":{"properties":{"companyId":{"type":"string"},"createdAt":{"type":"string"},"email":{"type":"string"},"id":{"type":"string"},"subscriptionStatus":{"type":"string"},"syncToCrm":{"type":"boolean"},"variables":{"additionalProperties":{},"type":"object"}},"type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.conversion.ai/import/contacts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
